package net.pricefx.common.api;

/**
 * Enumeration of existing InputTypes.
 */
public enum InputType {
	PRODUCT,
	PRODUCTGROUP,
	CUSTOMER,
	CUSTOMERGROUP,
	
	USERENTRY,
	STRINGUSERENTRY,
	OPTION, 
	INTEGERUSERENTRY,
	BOOLEANUSERENTRY,
	DATEUSERENTRY,
	TIMEUSERENTRY,
	DATETIMEUSERENTRY,
	
	MULTITIERENTRY,
	INPUTMATRIX,
	OPTIONS,
	RADIO,
	BOOLEAN,
	MATRIXLOOKUP, 
	LOOKUP,
	FILTERBUILDER,
	DMFILTERBUILDER,
	
	DMSOURCE,
	DMFIELD,
	DMFIELDS,
	DMDIMFILTER,

	REBATEAGREEMENT,
	
	CONFIGURATOR,
	HIDDEN, //this one is mainly useful in the configurator to store data between roundtrips
	INLINECONFIGURATOR,
	TEXTUSERENTRY,
    USER,
	PARSABLEINPUTFILE,
	DATERANGEUSERENTRY,
	BUTTON
}